import { common } from "@mui/material/colors";
import { PaletteOptions } from "@mui/material/styles";
import {
  error,
  primary,
  secondary,
  info,
  neutral,
  success,
  warning,
} from "./colors";

const palette = {
  action: {
    active: neutral[500],
    disabled: "rgba(17,25,39,0.38)",
    disabledBackground: "rgba(17,25,39,0.12)",
    focus: "rgba(17,25,39,0.16)",
    hover: "rgba(17,25,39,0.04)",
    selected: "rgba(17,25,39,0.12)",
  },
  background: {
    default: common.white,
    paper: common.white,
  },
  divider: "#F2F4F7",
  error,
  info,
  mode: "light",
  primary,
  secondary,
  success,
  text: {
    primary: neutral[900],
    secondary: neutral[500],
    disabled: "rgba(17,25,39,0.38)",
  },
  warning,
  neutral,
  grey: neutral,
};

export const paletteOptions: PaletteOptions = { ...palette, mode: "light" };

export default palette;
